It looks like the function is doing as its supposed to, and we need to update some PVs or SRCREVs to match PVs.

E.g., on the error below, SRCREV d6237b3b24 is indeed 4.1.31.

---
Cal

On 09/19/2016 09:22 AM, Burton, Ross wrote:

On 19 September 2016 at 16:09, Burton, Ross <ross.bur...@intel.com <mailto:ross.bur...@intel.com>> wrote:

    This is being fired on the AB:

    ERROR: linux-yocto-4.1.32+gitAUTOINC+b30b6b9ef2_d6237b3b24-r0
    do_kernel_version_sanity_check: Package Version
    (4.1.32+gitAUTOINC+b30b6b9ef2_d6237b3b24) does not match of kernel
    being built (4.1.31). Please update the PV variable to match the
    kernel source.
    ERROR: linux-yocto-4.1.32+gitAUTOINC+b30b6b9ef2_d6237b3b24-r0
    do_kernel_version_sanity_check: Function failed:
    do_kernel_version_sanity_check (log file is located at
    
/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-mips-lsb/build/build/tmp/work/qemumips-poky-linux/linux-yocto/4.1.32+gitAUTOINC+b30b6b9ef2_d6237b3b24-r0/temp/log.do_kernel_version_sanity_check.9143)
    ERROR: Logfile of failure stored in:
    
/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-mips-lsb/build/build/tmp/work/qemumips-poky-linux/linux-yocto/4.1.32+gitAUTOINC+b30b6b9ef2_d6237b3b24-r0/temp/log.do_kernel_version_sanity_check.9143


(This has happened for all the LSB builds so far)

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Reply via email to